org.apache.ignite.ml.inference.storage.model

## Class IgniteModelStorageProvider

- java.lang.Object
- - org.apache.ignite.ml.inference.storage.model.IgniteModelStorageProvider

- All Implemented Interfaces:
    ModelStorageProvider

      public class IgniteModelStorageProvider
      extends Object
      implements ModelStorageProvider

  Implementation of `ModelStorageProvider` based on Apache Ignite cache.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteModelStorageProvider(IgniteCache<String,FileOrDirectory> cache)` Constructs a new instance of Ignite model storage provider.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileOrDirectory` | `get(String path)` Returns file or directory associated with the specified path.
    `Lock` | `lock(String path)` Locks the specified path.
    `void` | `put(String path, FileOrDirectory file)` Saves file or directory associated with the specified path.
    `void` | `remove(String path)` Removes file or directory associated with the specified path.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteModelStorageProvider

          public IgniteModelStorageProvider(IgniteCache<String,FileOrDirectory> cache)

      Constructs a new instance of Ignite model storage provider.
      Parameters:
        `cache` - Storage of the files and directories.

  - ### Method Detail

    - #### get

          public FileOrDirectory get(String path)

      Returns file or directory associated with the specified path.
      Specified by:
        `get` in interface `ModelStorageProvider`
      Parameters:
        `path` - Path of file or directory.
      Returns:
        File or directory associated with the specified path.

    - #### put

          public void put(String path,
                          FileOrDirectory file)

      Saves file or directory associated with the specified path.
      Specified by:
        `put` in interface `ModelStorageProvider`
      Parameters:
        `path` - Path to the file or directory.
        `file` - File or directory to be saved.

    - #### remove

          public void remove(String path)

      Removes file or directory associated with the specified path.
      Specified by:
        `remove` in interface `ModelStorageProvider`
      Parameters:
        `path` - Path to the file or directory.

    - #### lock

          public Lock lock(String path)

      Locks the specified path.
      Specified by:
        `lock` in interface `ModelStorageProvider`
      Parameters:
        `path` - Path to be locked.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020